Nios® V/II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® V/II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
12603 Discussions

failed to execute :wsl dos2unix create-this-bsp..............................

dsun01
New Contributor III
9,387 Views

Dear Expert and Support, 

I was very glad to find the link that mentioned the problem and claimed solved.

failed to execute :wsl dos2unix create-this-bsp; ./create-this-bsp --cpu-name nio2_gen2_0 --no -make - Intel Communities

 

But, I feel very pissed that I totally don't understand what this is talking about. 

Consider that some newbies like me, could anyone be kind enough to use some plain language and write a step-by-step instruction. 

the Quartus and Nios eclipse environment are in Win10, is there unix/Ubuntu 18.04 in the win10 quartus installation? it is so confusing.

I encountered this problem while I was following the instruction of an814. 

 

nios_questions1.png

 

Thank you, appreciate your help.

David

 

 

0 Kudos
1 Solution
dsun01
New Contributor III
9,355 Views

I found a link to solve my problem, 

 

 Getting Start Install WSL - Terasic Wiki

 

do need to install ubuntu in windows? 

 

it works anyway. 

View solution in original post

0 Kudos
6 Replies
dsun01
New Contributor III
9,374 Views

Here is how I encountered the problem, in AN 814

 

1.2.5.2 Rebuilding Software and Initializing the JESD204B Link
Perform the following steps to rebuild Nios II software, re-execute the software C code
and initialize the JESD204B link:
1. After device programming, navigate to the Tools menu and select Nios II
Software Build Tools for Eclipse.
2. In the Select a workspace dialog box, navigate to the software workspace,
<project directory>/software and click OK.
3. On the File menu, navigate to New and click Nios II Application and BSP
From Template.
4. In the Nios II Application and BSP From Template window, enter the
following information:
a. SOPC Information File Name:
• Intel Quartus Prime Pro Edition: <project directory>/
jesd204b_ed_qsys/jesd204b_ed_qsys.sopcinfo
• Intel Quartus Prime Standard Edition: <project directory>/
jesd204b_ed_qsys.sopcinfo
b. Project name: jesd204b_nios2_ed
Note: Project name is user customizable.
c. User default location: Checked
d. Templates: Blank Project

0 Kudos
dsun01
New Contributor III
9,356 Views

I found a link to solve my problem, 

 

 Getting Start Install WSL - Terasic Wiki

 

do need to install ubuntu in windows? 

 

it works anyway. 

0 Kudos
EBERLAZARE_I_Intel
9,261 Views

Hi,


For 19.1 onwards, NIOS II do not use cygwin, but uses WSL.

https://www.intel.com/content/www/us/en/support/programmable/articles/000074066.html


0 Kudos
ElmarY
Novice
7,434 Views

Hi,

I'm using Quartus version 20.1.1.

for me the solution is to set wsl version to 1.

wsl --set-default-version 2

then if Ubuntu is already installed you need to convert it to 1:

wsl --set-version Ubuntu 1

Installer WSL 2 | Microsoft Docs

Thanks

Petteri
Beginner
6,331 Views

Hi! I have this same problem. I have done anything in this thread and still it does not work. Getting still same error.

0 Kudos
ElmarY
Novice
6,321 Views

Hi, try to remove ubuntu and begin again from the beginning. try to use 1st version as by default Windows downloads the latest one, but Intel didn't launch a new version that is compatible with Ubuntu >1.

0 Kudos
Reply